#This the file that's included first.  It selects the parameters for any
#given test.
#There are three ways to run these systems.
#1. On Chris' machine in spinnaker (this is pynn .8beta2)
#2. On Chris' machine in nest (this is pynest)
#3. On Andrew's docker in nest (this is pynn .8 and should be the same as spinn)
#So, 1 pynnVersion = pynn and simulator = spinnaker
#2 pynnVersion = pynest and simulator = nest
#3 pynnVersion = pynn and simulator = nest  
#For the pynn versions we import as sim
#for the pynest nest we import as nest

#Select the simulator by changing the import and simulator_name
pynnVersion = "pynn" 
#pynnVersion = "pynest"
simulator = "nest"
simulator = "spinnaker"

if (pynnVersion == "pynn") and (simulator == "spinnaker"):
    import pyNN.spiNNaker as spinn
elif (nealParameters.pynnVersion=="pynn")and(nealParameters.simulator=="nest"):
    import pyNN.nest as sim


#INPSIZE = 40
INPSIZE = 30
neuronsPerSubnet = INPSIZE * INPSIZE  #replace neuronsPerSubnet with neuronsPVS
neuronsPerVisionSubnet = INPSIZE * INPSIZE

DELAY = 1.0
#SIM_LENGTH = 120000.0
SIM_LENGTH = 3300.0


